#ifndef __bpt__
# define __bpt__
extern boolean     active_wpt__;
extern void remove_sw_bpt__();
extern void place_back_sw_bpt__(/* user_pc, bpt_on_pc */);
extern boolean check_sw_bpt__(/* trace_mode */);
extern boolean  check_wpt__();
extern void bc_decode__(/* cmd, response */);
extern void bp_decode__(/* cmd, response */);
extern void bd_decode__(/* cmd, response */);
extern void cbp_decode__(/* cmd, response */);
extern void pbp_decode__(/* cmd, response */);
extern void wc_decode__(/* cmd, response */);
extern void wp_decode__(/* cmd, response */);
extern void wd_decode__(/* cmd, response */);
extern void sw_decode__(/* cmd, response */);
extern void stop_sw__();
extern boolean dspm_nmi__;
extern short   clptr__;
extern short   nmistat__;
extern void cdbp_decode__(/* cmd, response */);
extern void pdbp_decode__(/* cmd, response */);
extern void remove_dspm_bpt__();
extern void place_back_dspm_bpt__();
extern int check_dspm_bpt__(/* message */);
extern void check_nmi__(/* message */);
#endif
